Index: LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h	(revision 5073)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h	(revision 5075)
@@ -673,4 +673,5 @@
       USE logic_mod, ONLY: fxyhypb, ysinus
       USE temps_mod, ONLY: annee_ref, day_ini, day_ref, itau_dyn
+      USE lmdz_netcdf, ONLY:nf_open,nf_write,nf_noerr
 
       IMPLICIT NONE
@@ -682,5 +683,4 @@
       include "dimensions.h"
 !!#include "control.h"
-      include "netcdf.inc"
 
 !   Arguments:
@@ -820,4 +820,5 @@
       USE logic_mod, ONLY: fxyhypb, ysinus
       USE temps_mod, ONLY: annee_ref,day_end,day_ref,itau_dyn,itaufin
+      USE lmdz_netcdf, ONLY:nf_open,nf_write,nf_noerr
 
       IMPLICIT NONE
@@ -829,5 +830,4 @@
       include "dimensions.h"
 !!#include "control.h"
-      include "netcdf.inc"
 
 !   Arguments:
Index: LMDZ6/trunk/libf/phylmd/dyn1d/1D_decl_cases.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 5073)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 5075)
@@ -1,3 +1,2 @@
-        INCLUDE "netcdf.inc"
 
 ! Declarations specifiques au cas Toga
Index: LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_amma_read.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_amma_read.F90	(revision 5073)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_amma_read.F90	(revision 5075)
@@ -1,4 +1,5 @@
 MODULE mod_1D_amma_read
-
+        USE lmdz_netcdf, ONLY: nf90_get_var,nf_open,nf_noerr,nf_open,nf_nowrite,&
+                nf_inq_dimid,nf_inq_dimlen,nf_strerror,nf_inq_varid
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !Declarations specifiques au cas AMMA
@@ -6,5 +7,4 @@
 ! Option du cas AMMA ou on impose la discretisation verticale (Ap,Bp)
         integer nlev_amma, nt_amma
-
 
         integer year_ini_amma, day_ini_amma, mth_ini_amma
@@ -58,6 +58,4 @@
 SUBROUTINE read_1D_cases
       implicit none
-
-      INCLUDE "netcdf.inc"
 
       INTEGER nid,rid,ierr
@@ -172,5 +170,4 @@
 
 
-END MODULE mod_1D_amma_read
 !=====================================================================
       subroutine read_amma(nid,nlevel,ntime                          &
@@ -180,5 +177,4 @@
 !program reading forcings of the AMMA case study
       implicit none
-      INCLUDE "netcdf.inc"
 
       integer ntime,nlevel
@@ -459,2 +455,3 @@
         END
 
+END MODULE mod_1D_amma_read
Index: LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 5073)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 5075)
@@ -1,11 +1,10 @@
-!
-! $Id$
-!
 MODULE mod_1D_cases_read
+  USE lmdz_netcdf, ONLY: nf_noerr,nf_strerror,nf_inq_varid,nf_inq_dimlen,nf_inq_dimid,&
+          nf_nowrite,nf_open,nf90_get_var
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !Declarations specifiques au cas standard
         character*80 :: fich_cas
-! Discr?tisation 
+! Discr?tisation
         integer nlev_cas, nt_cas
 
@@ -57,5 +56,5 @@
         real, allocatable::  q_prof_cas(:)
         real, allocatable::  u_prof_cas(:)
-        real, allocatable::  v_prof_cas(:)        
+        real, allocatable::  v_prof_cas(:)
 
         real, allocatable::  vitw_prof_cas(:)
@@ -82,5 +81,5 @@
 
         real lat_prof_cas,sens_prof_cas,ts_prof_cas,ustar_prof_cas
-      
+
 
 
@@ -88,7 +87,4 @@
 
 SUBROUTINE read_1D_cas
-      implicit none
-
-      INCLUDE "netcdf.inc"
 
       INTEGER nid,rid,ierr
@@ -137,5 +133,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !profils moyens:
-        allocate(plev_cas(nlev_cas,nt_cas))        
+        allocate(plev_cas(nlev_cas,nt_cas))
         allocate(z_cas(nlev_cas,nt_cas))
         allocate(t_cas(nlev_cas,nt_cas),q_cas(nlev_cas,nt_cas),rh_cas(nlev_cas,nt_cas))
@@ -204,5 +200,5 @@
 !profils environnementaux:
         deallocate(plev_cas)
-        
+
         deallocate(z_cas)
         deallocate(t_cas,q_cas,rh_cas)
@@ -210,5 +206,5 @@
         deallocate(u_cas)
         deallocate(v_cas)
-        
+
 !forcing
         deallocate(ht_cas,vt_cas,dt_cas,dtrad_cas)
@@ -257,7 +253,5 @@
 END SUBROUTINE deallocate_1D_cases
 
-
-END MODULE mod_1D_cases_read
-!=====================================================================
+  !=====================================================================
       subroutine read_cas(nid,nlevel,ntime                          &
      &     ,zz,pp,temp,qv,rh,theta,rv,u,v,ug,vg,w,                   &
@@ -266,6 +260,4 @@
 
 !program reading forcing of the case study
-      implicit none
-      INCLUDE "netcdf.inc"
 
       integer ntime,nlevel
@@ -296,11 +288,11 @@
       integer var3didin(nbvar3d)
 
-       ierr=NF_INQ_VARID(nid,"zz",var3didin(1)) 
+       ierr=NF_INQ_VARID(nid,"zz",var3didin(1))
          if(ierr/=NF_NOERR) then
            write(*,*) NF_STRERROR(ierr)
            stop 'lev'
          endif
-      
-      ierr=NF_INQ_VARID(nid,"pp",var3didin(2)) 
+
+      ierr=NF_INQ_VARID(nid,"pp",var3didin(2))
          if(ierr/=NF_NOERR) then
            write(*,*) NF_STRERROR(ierr)
@@ -429,5 +421,5 @@
            stop 'advq'
          endif
-      
+
       ierr=NF_INQ_VARID(nid,"hq",var3didin(23))
          if(ierr/=NF_NOERR) then
@@ -465,5 +457,5 @@
            stop 'advr'
          endif
-      
+
       ierr=NF_INQ_VARID(nid,"hr",var3didin(29))
          if(ierr/=NF_NOERR) then
@@ -531,5 +523,5 @@
            stop 'q2'
          endif
- 
+
          ierr = nf90_get_var(nid,var3didin(1),zz)
          if(ierr/=NF_NOERR) then
@@ -560,5 +552,5 @@
          endif
 !          write(*,*)'lecture qv ok',qv
- 
+
          ierr = nf90_get_var(nid,var3didin(5),rh)
          if(ierr/=NF_NOERR) then
@@ -807,5 +799,5 @@
 
 
-         return 
+         return
          end subroutine read_cas
 !======================================================================
@@ -825,5 +817,5 @@
      &         ,hq_prof_cas,vq_prof_cas,lat_prof_cas,sens_prof_cas    &
      &         ,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas)
-          
+
 
         implicit none
@@ -834,5 +826,5 @@
 ! day: current julian day (e.g. 717538.2)
 ! day1: first day of the simulation
-! nt_cas: total nb of data in the forcing 
+! nt_cas: total nb of data in the forcing
 ! pdt_cas: total time interval (in sec) between 2 forcing data
 !---------------------------------------------------------------------------------------
@@ -926,5 +918,5 @@
        it_cas1=INT(timeit/pdt_cas)+1
        IF (it_cas1 == nt_cas) THEN
-       it_cas2=it_cas1 
+       it_cas2=it_cas1
        ELSE
        it_cas2=it_cas1 + 1
@@ -952,5 +944,5 @@
 
        lat_prof_cas = lat_cas(it_cas2)                                       &
-     &          -frac*(lat_cas(it_cas2)-lat_cas(it_cas1)) 
+     &          -frac*(lat_cas(it_cas2)-lat_cas(it_cas1))
        sens_prof_cas = sens_cas(it_cas2)                                     &
      &          -frac*(sens_cas(it_cas2)-sens_cas(it_cas1))
@@ -1017,2 +1009,3 @@
 
 !**********************************************************************************************
+END MODULE mod_1D_cases_read
Index: LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read2.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 5073)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 5075)
@@ -3,5 +3,6 @@
 !
 MODULE mod_1D_cases_read2
-
+  USE lmdz_netcdf, ONLY: nf90_get_var,nf_noerr,nf_inq_varid,nf_inq_dimlen,nf_strerror,nf_open,&
+          nf_nowrite,nf_inq_dimid
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
   !Declarations specifiques au cas standard
@@ -81,6 +82,4 @@
     implicit none
 
-    INCLUDE "netcdf.inc"
-
     INTEGER nid,rid,ierr
     INTEGER ii,jj
@@ -90,5 +89,5 @@
     ierr = NF_OPEN(fich_cas,NF_NOWRITE,nid)
     print*,'fich_cas,NF_NOWRITE,nid ',fich_cas,NF_NOWRITE,nid
-    if (ierr.NE.NF_NOERR) then
+    if (ierr/=NF_NOERR) then
        write(*,*) 'ERROR: GROS Pb opening forcings nc file '
        write(*,*) NF_STRERROR(ierr)
@@ -97,5 +96,5 @@
     !.......................................................................
     ierr=NF_INQ_DIMID(nid,'lat',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    IF (ierr/=NF_NOERR) THEN
        print*, 'Oh probleme lecture dimension lat'
     ENDIF
@@ -104,5 +103,5 @@
     !.......................................................................
     ierr=NF_INQ_DIMID(nid,'lon',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    IF (ierr/=NF_NOERR) THEN
        print*, 'Oh probleme lecture dimension lon'
     ENDIF
@@ -111,5 +110,5 @@
     !.......................................................................
     ierr=NF_INQ_DIMID(nid,'lev',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    IF (ierr/=NF_NOERR) THEN
        print*, 'Oh probleme lecture dimension zz'
     ENDIF
@@ -120,5 +119,5 @@
     print*,'nid,rid',nid,rid
     nt_cas=0
-    IF (ierr.NE.NF_NOERR) THEN
+    IF (ierr/=NF_NOERR) THEN
        stop 'probleme lecture dimension sens'
     ENDIF
@@ -192,6 +191,4 @@
     implicit none
 
-    INCLUDE "netcdf.inc"
-
     INTEGER nid,rid,ierr
     INTEGER ii,jj
@@ -201,5 +198,5 @@
     ierr = NF_OPEN(fich_cas,NF_NOWRITE,nid)
     print*,'fich_cas,NF_NOWRITE,nid ',fich_cas,NF_NOWRITE,nid
-    if (ierr.NE.NF_NOERR) then
+    if (ierr/=NF_NOERR) then
        write(*,*) 'ERROR: GROS Pb opening forcings nc file '
        write(*,*) NF_STRERROR(ierr)
@@ -208,5 +205,5 @@
     !.......................................................................
     ierr=NF_INQ_DIMID(nid,'lat',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    IF (ierr/=NF_NOERR) THEN
        print*, 'Oh probleme lecture dimension lat'
     ENDIF
@@ -215,5 +212,5 @@
     !.......................................................................
     ierr=NF_INQ_DIMID(nid,'lon',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    IF (ierr/=NF_NOERR) THEN
        print*, 'Oh probleme lecture dimension lon'
     ENDIF
@@ -222,5 +219,5 @@
     !.......................................................................
     ierr=NF_INQ_DIMID(nid,'nlev',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    IF (ierr/=NF_NOERR) THEN
        print*, 'Oh probleme lecture dimension nlev'
     ENDIF
@@ -230,5 +227,5 @@
     ierr=NF_INQ_DIMID(nid,'time',rid)
     nt_cas=0
-    IF (ierr.NE.NF_NOERR) THEN
+    IF (ierr/=NF_NOERR) THEN
        stop 'Oh probleme lecture dimension time'
     ENDIF
@@ -317,8 +314,6 @@
   !**********************************************************************************************
   SUBROUTINE old_read_SCM_cas
-    use netcdf, only: nf90_get_var
     implicit none
 
-    INCLUDE "netcdf.inc"
     INCLUDE "date_cas.h"
 
@@ -331,5 +326,5 @@
     ierr = NF_OPEN(fich_cas,NF_NOWRITE,nid)
     print*,'fich_cas,NF_NOWRITE,nid ',fich_cas,NF_NOWRITE,nid
-    if (ierr.NE.NF_NOERR) then
+    if (ierr/=NF_NOERR) then
        write(*,*) 'ERROR: GROS Pb opening forcings nc file '
        write(*,*) NF_STRERROR(ierr)
@@ -338,5 +333,5 @@
     !.......................................................................
     ierr=NF_INQ_DIMID(nid,'lat',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    IF (ierr/=NF_NOERR) THEN
        print*, 'Oh probleme lecture dimension lat'
     ENDIF
@@ -345,5 +340,5 @@
     !.......................................................................
     ierr=NF_INQ_DIMID(nid,'lon',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    IF (ierr/=NF_NOERR) THEN
        print*, 'Oh probleme lecture dimension lon'
     ENDIF
@@ -352,5 +347,5 @@
     !.......................................................................
     ierr=NF_INQ_DIMID(nid,'lev',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    IF (ierr/=NF_NOERR) THEN
        print*, 'Oh probleme lecture dimension nlev'
     ENDIF
@@ -364,5 +359,5 @@
     ierr=NF_INQ_DIMID(nid,'time',rid)
     nt_cas=0
-    IF (ierr.NE.NF_NOERR) THEN
+    IF (ierr/=NF_NOERR) THEN
        stop 'Oh probleme lecture dimension time'
     ENDIF
@@ -533,5 +528,4 @@
 
 
-END MODULE mod_1D_cases_read2
 !=====================================================================
 subroutine read_cas2(nid,nlevel,ntime                          &
@@ -541,7 +535,5 @@
 
   !program reading forcing of the case study
-  use netcdf, only: nf90_get_var
   implicit none
-  INCLUDE "netcdf.inc"
 
   integer ntime,nlevel
@@ -589,5 +581,5 @@
   do i=1,nbvar3d
      print *,'Dans read_cas2, on va lire ',var3didin(i),name_var(i)
-     if(i.LE.35) then
+     if(i<=35) then
         ierr = NF90_GET_VAR(nid,var3didin(i),resul, count = [1, 1, nlevel, ntime])
         print *,'Dans read_cas2, on a lu ',ierr,var3didin(i),name_var(i)
@@ -658,7 +650,5 @@
 
   !program reading forcing of the case study
-  use netcdf, only: nf90_get_var
   implicit none
-  INCLUDE "netcdf.inc"
 
   integer ntime,nlevel
@@ -711,5 +701,5 @@
      else
         !-----------------------------------------------------------------------
-        if(i.LE.4) then     ! Lecture des coord pression en (nlevelp1,lat,lon)
+        if(i<=4) then     ! Lecture des coord pression en (nlevelp1,lat,lon)
            ierr = NF90_GET_VAR(nid,var3didin(i),apbp, count = [1, 1, nlevel + 1])
            print *,'read2_cas(apbp), on a lu ',i,name_var(i)
@@ -719,5 +709,5 @@
            endif
            !-----------------------------------------------------------------------
-        else if(i.gt.4.and.i.LE.45) then   ! Lecture des variables en (time,nlevel,lat,lon)
+        else if(i>4.and.i<=45) then   ! Lecture des variables en (time,nlevel,lat,lon)
            ierr = NF90_GET_VAR(nid,var3didin(i),resul, count = [1, 1, nlevel, ntime])
            print *,'read2_cas(resul), on a lu ',i,name_var(i)
@@ -727,5 +717,5 @@
            endif
            !-----------------------------------------------------------------------
-        else if (i.gt.45.and.i.LE.51) then   ! Lecture des variables en (time,lat,lon)
+        else if (i>45.and.i<=51) then   ! Lecture des variables en (time,lat,lon)
            ierr = NF90_GET_VAR(nid,var3didin(i),resul2, count = [1, 1, ntime])
            print *,'read2_cas(resul2), on a lu ',i,name_var(i)
@@ -829,7 +819,5 @@
 
   !program reading forcing of the case study
-  use netcdf, only: nf90_get_var
   implicit none
-  INCLUDE "netcdf.inc"
 
   integer ntime,nlevel,k,t
@@ -888,5 +876,5 @@
      else
         !-----------------------------------------------------------------------
-        if(i.LE.4) then     ! Lecture des coord pression en (nlevelp1,lat,lon)
+        if(i<=4) then     ! Lecture des coord pression en (nlevelp1,lat,lon)
            ierr = NF90_GET_VAR(nid,var3didin(i),apbp)
            print *,'read2_cas(apbp), on a lu ',i,name_var(i)
@@ -896,5 +884,5 @@
            endif
            !-----------------------------------------------------------------------
-        else if(i.gt.4.and.i.LE.12) then   ! Lecture des variables en (time,nlevel,lat,lon)
+        else if(i>4.and.i<=12) then   ! Lecture des variables en (time,nlevel,lat,lon)
            ierr = NF90_GET_VAR(nid,var3didin(i),resul1)
            print *,'read2_cas(resul1), on a lu ',i,name_var(i)
@@ -905,5 +893,5 @@
            print*,'Lecture de la variable #i ',i,name_var(i),minval(resul1),maxval(resul1)
            !-----------------------------------------------------------------------
-        else if(i.gt.12.and.i.LE.54) then   ! Lecture des variables en (time,nlevel,lat,lon)
+        else if(i>12.and.i<=54) then   ! Lecture des variables en (time,nlevel,lat,lon)
            ierr = NF90_GET_VAR(nid,var3didin(i),resul)
            print *,'read2_cas(resul), on a lu ',i,name_var(i)
@@ -914,5 +902,5 @@
            print*,'Lecture de la variable #i ',i,name_var(i),minval(resul),maxval(resul)
            !-----------------------------------------------------------------------
-        else if (i.gt.54.and.i.LE.65) then   ! Lecture des variables en (time,lat,lon)
+        else if (i>54.and.i<=65) then   ! Lecture des variables en (time,lat,lon)
            ierr = NF90_GET_VAR(nid,var3didin(i),resul2)
            print *,'read2_cas(resul2), on a lu ',i,name_var(i)
@@ -1148,5 +1136,5 @@
 
   it_cas1=INT(timeit/pdt_cas)+1
-  IF (it_cas1 .EQ. nt_cas) THEN
+  IF (it_cas1 == nt_cas) THEN
      it_cas2=it_cas1 
   ELSE
@@ -1157,5 +1145,5 @@
   !print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
 
-  if (it_cas1 .gt. nt_cas) then
+  if (it_cas1 > nt_cas) then
      write(*,*) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
           ,day,day_ju_ini_cas,it_cas1,it_cas2,timeit
@@ -1164,5 +1152,5 @@
 
   ! time interpolation:
-  IF (it_cas1 .EQ. it_cas2) THEN
+  IF (it_cas1 == it_cas2) THEN
      frac=0.
   ELSE
@@ -1363,5 +1351,5 @@
 
   it_cas1=INT(timeit/pdt_cas)+1
-  IF (it_cas1 .EQ. nt_cas) THEN
+  IF (it_cas1 == nt_cas) THEN
      it_cas2=it_cas1 
   ELSE
@@ -1373,5 +1361,5 @@
   !print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
 
-  if (it_cas1 .gt. nt_cas) then 
+  if (it_cas1 > nt_cas) then
      write(*,*) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
           ,day,day_ju_ini_cas,it_cas1,it_cas2,timeit
@@ -1380,5 +1368,5 @@
 
   ! time interpolation:
-  IF (it_cas1 .EQ. it_cas2) THEN
+  IF (it_cas1 == it_cas2) THEN
      frac=0.
   ELSE
@@ -1475,2 +1463,3 @@
 !**********************************************************************************************
 
+END MODULE mod_1D_cases_read2
Index: LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 5073)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 5075)
@@ -3,4 +3,6 @@
 !
 MODULE mod_1D_cases_read_std
+  USE lmdz_netcdf, ONLY:nf_noerr,nf_inq_varid,nf_inq_dimid,nf_inq_dimlen,nf_open,nf_nowrite,&
+          nf_strerror,nf90_get_var
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -87,8 +89,6 @@
   !**********************************************************************************************
   SUBROUTINE read_SCM_cas
-    use netcdf, only: nf90_get_var
     implicit none
 
-    INCLUDE "netcdf.inc"
     INCLUDE "date_cas.h"
 
@@ -101,5 +101,5 @@
     ierr = NF_OPEN(fich_cas,NF_NOWRITE,nid)
     print*,'fich_cas,NF_NOWRITE,nid ',fich_cas,NF_NOWRITE,nid
-    if (ierr.NE.NF_NOERR) then
+    if (ierr/=NF_NOERR) then
        write(*,*) 'ERROR: GROS Pb opening forcings nc file '
        write(*,*) NF_STRERROR(ierr)
@@ -108,5 +108,5 @@
     !.......................................................................
     ierr=NF_INQ_DIMID(nid,'lat',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    IF (ierr/=NF_NOERR) THEN
        print*, 'Oh probleme lecture dimension lat'
     ENDIF
@@ -115,5 +115,5 @@
     !.......................................................................
     ierr=NF_INQ_DIMID(nid,'lon',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    IF (ierr/=NF_NOERR) THEN
        print*, 'Oh probleme lecture dimension lon'
     ENDIF
@@ -122,5 +122,5 @@
     !.......................................................................
     ierr=NF_INQ_DIMID(nid,'lev',rid)
-    IF (ierr.NE.NF_NOERR) THEN
+    IF (ierr/=NF_NOERR) THEN
        print*, 'Oh probleme lecture dimension nlev'
     ENDIF
@@ -134,5 +134,5 @@
     ierr=NF_INQ_DIMID(nid,'time',rid)
     nt_cas=0
-    IF (ierr.NE.NF_NOERR) THEN
+    IF (ierr/=NF_NOERR) THEN
        stop 'Oh probleme lecture dimension time'
     ENDIF
@@ -329,7 +329,5 @@
 
     !program reading forcing of the case study
-    use netcdf, only: nf90_get_var
     implicit none
-    INCLUDE "netcdf.inc"
     INCLUDE "compar1d.h"
 
@@ -455,5 +453,5 @@
           ! Reading variables 1D (N+1) vertical variables (nlevelp1,lat,lon)
           !-----------------------------------------------------------------------
-          if(i.LE.4) then
+          if(i<=4) then
              ierr = NF90_GET_VAR(nid,var3didin(i),apbp)
              print *,'read_SCM(apbp), on a lu ',i,name_var(i)
@@ -466,5 +464,5 @@
              !  Reading 1D (N) vertical varialbes    (nlevel,lat,lon)   
              !-----------------------------------------------------------------------
-          else if(i.gt.4.and.i.LE.12) then  
+          else if(i>4.and.i<=12) then
              ierr = NF90_GET_VAR(nid,var3didin(i),resul1)
              print *,'read_SCM(resul1), on a lu ',i,name_var(i)
@@ -479,5 +477,5 @@
              !  TBD : seems to be the same as above.
              !-----------------------------------------------------------------------
-          else if(i.gt.12.and.i.LE.61) then
+          else if(i>12.and.i<=61) then
              ierr = NF90_GET_VAR(nid,var3didin(i),resul)
              print *,'read_SCM(resul), on a lu ',i,name_var(i)
@@ -491,5 +489,5 @@
              !  Reading 1D time variables (time,lat,lon)
              !-----------------------------------------------------------------------
-          else if (i.gt.62.and.i.LE.75) then
+          else if (i>62.and.i<=75) then
              ierr = NF90_GET_VAR(nid,var3didin(i),resul2)
              print *,'read_SCM(resul2), on a lu ',i,name_var(i)
@@ -777,5 +775,5 @@
 
     it_cas1=INT(timeit/pdt_cas)+1
-    IF (it_cas1 .EQ. nt_cas) THEN
+    IF (it_cas1 == nt_cas) THEN
        it_cas2=it_cas1 
     ELSE
@@ -787,5 +785,5 @@
     !     print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
 
-    if (it_cas1 .gt. nt_cas) then 
+    if (it_cas1 > nt_cas) then
        write(*,*) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
             ,day,day_ju_ini_cas,it_cas1,it_cas2,timeit
@@ -794,5 +792,5 @@
 
     ! time interpolation:
-    IF (it_cas1 .EQ. it_cas2) THEN
+    IF (it_cas1 == it_cas2) THEN
        frac=0.
     ELSE
@@ -989,5 +987,5 @@
     do l = 1, llm
 
-       if (play(l).ge.plev_prof_cas(nlev_cas)) then
+       if (play(l)>=plev_prof_cas(nlev_cas)) then
 
           mxcalc=l
@@ -996,8 +994,8 @@
           k2=0
 
-          if (play(l).le.plev_prof_cas(1)) then
+          if (play(l)<=plev_prof_cas(1)) then
 
              do k = 1, nlev_cas-1
-                if (play(l).le.plev_prof_cas(k).and. play(l).gt.plev_prof_cas(k+1)) then
+                if (play(l)<=plev_prof_cas(k).and. play(l)>plev_prof_cas(k+1)) then
                    k1=k
                    k2=k+1
@@ -1005,5 +1003,5 @@
              enddo
 
-             if (k1.eq.0 .or. k2.eq.0) then
+             if (k1==0 .or. k2==0) then
                 write(*,*) 'PB! k1, k2 = ',k1,k2
                 write(*,*) 'l,play(l) = ',l,play(l)/100
@@ -1019,5 +1017,5 @@
              t_mod_cas(l)= t_prof_cas(k2) - frac*(t_prof_cas(k2)-t_prof_cas(k1))
              theta_mod_cas(l)= th_prof_cas(k2) - frac*(th_prof_cas(k2)-th_prof_cas(k1))
-             if(theta_mod_cas(l).NE.0) t_mod_cas(l)= theta_mod_cas(l)*(play(l)/100000.)**(RD/RCPD)
+             if(theta_mod_cas(l)/=0) t_mod_cas(l)= theta_mod_cas(l)*(play(l)/100000.)**(RD/RCPD)
              thv_mod_cas(l)= thv_prof_cas(k2) - frac*(thv_prof_cas(k2)-thv_prof_cas(k1))
              thl_mod_cas(l)= thl_prof_cas(k2) - frac*(thl_prof_cas(k2)-thl_prof_cas(k1))
@@ -1068,5 +1066,5 @@
              t_mod_cas(l)= frac1*t_prof_cas(k1) - frac2*t_prof_cas(k2)
              theta_mod_cas(l)= frac1*th_prof_cas(k1) - frac2*th_prof_cas(k2)
-             if(theta_mod_cas(l).NE.0) t_mod_cas(l)= theta_mod_cas(l)*(play(l)/100000.)**(RD/RCPD)
+             if(theta_mod_cas(l)/=0) t_mod_cas(l)= theta_mod_cas(l)*(play(l)/100000.)**(RD/RCPD)
              thv_mod_cas(l)= frac1*thv_prof_cas(k1) - frac2*thv_prof_cas(k2)
              thl_mod_cas(l)= frac1*thl_prof_cas(k1) - frac2*thl_prof_cas(k2)
@@ -1165,5 +1163,5 @@
     do l = 1, llm+1
 
-       if (plev(l).ge.plev_prof_cas(nlev_cas)) then
+       if (plev(l)>=plev_prof_cas(nlev_cas)) then
 
           mxcalc=l
@@ -1171,8 +1169,8 @@
           k2=0
 
-          if (plev(l).le.plev_prof_cas(1)) then
+          if (plev(l)<=plev_prof_cas(1)) then
 
              do k = 1, nlev_cas-1
-                if (plev(l).le.plev_prof_cas(k).and. plev(l).gt.plev_prof_cas(k+1)) then
+                if (plev(l)<=plev_prof_cas(k).and. plev(l)>plev_prof_cas(k+1)) then
                    k1=k
                    k2=k+1
@@ -1180,5 +1178,5 @@
              enddo
 
-             if (k1.eq.0 .or. k2.eq.0) then
+             if (k1==0 .or. k2==0) then
                 write(*,*) 'PB! k1, k2 = ',k1,k2
                 write(*,*) 'l,plev(l) = ',l,plev(l)/100
Index: LMDZ6/trunk/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5073)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5075)
@@ -146,9 +146,9 @@
 !program reading forcings of the TWP-ICE experiment
 
-        use netcdf, only: nf90_get_var
+        use lmdz_netcdf, ONLY: nf_open,nf_nowrite,nf_noerr,nf_strerror,nf_inq_varid,nf90_get_var,&
+            nf_inq_dimid,nf_inq_dimlen
+
 
       implicit none
-
-      INCLUDE "netcdf.inc"
 
       integer ntime,nlevel
@@ -492,8 +492,8 @@
          subroutine catchaxis(nid,ttm,llm,time,lev,ierr)
 
-         use netcdf, only: nf90_get_var
+         use lmdz_netcdf, ONLY: nf_open,nf_nowrite,nf_noerr,nf_strerror,nf_inq_varid,nf90_get_var,&
+            nf_inq_dimid,nf_inq_dimlen
 
          implicit none
-         INCLUDE "netcdf.inc"
          integer nid,ttm,llm
          real*8 time(ttm)
@@ -2170,8 +2170,7 @@
 
 
-      use netcdf, only: nf90_get_var
+      use lmdz_netcdf, ONLY: nf_open,nf_nowrite,nf_noerr,nf_strerror,nf_inq_varid,nf90_get_var,&
+            nf_inq_dimid,nf_inq_dimlen
       implicit none
-
-      INCLUDE "netcdf.inc"
 
       integer ntime,nlevel
@@ -2381,9 +2380,9 @@
 !program reading initial profils and forcings of the Dice case study
 
-      use netcdf, only: nf90_get_var
+      use lmdz_netcdf, ONLY: nf_open,nf_nowrite,nf_noerr,nf_strerror,nf_inq_varid,nf90_get_var,&
+            nf_inq_dimid,nf_inq_dimlen
 
       implicit none
 
-      INCLUDE "netcdf.inc"
       INCLUDE "YOMCST.h"
 
@@ -2715,9 +2714,8 @@
 !program reading initial profils and forcings of the Gabls4 case study
 
-      use netcdf, only: nf90_get_var
+      use lmdz_netcdf, ONLY: nf_open,nf_nowrite,nf_noerr,nf_strerror,nf_inq_varid,nf90_get_var,&
+            nf_inq_dimid,nf_inq_dimlen
 
       implicit none
-
-      INCLUDE "netcdf.inc"
 
       integer ntime,nlevel,nsol
Index: LMDZ6/trunk/libf/phylmd/dyn1d/old_1D_decl_cases.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/old_1D_decl_cases.h	(revision 5073)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/old_1D_decl_cases.h	(revision 5075)
@@ -1,3 +1,2 @@
-         INCLUDE "netcdf.inc"
 
 ! Declarations specifiques au cas Toga
Index: LMDZ6/trunk/libf/phylmd/dyn1d/old_lmdz1d.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/old_lmdz1d.F90	(revision 5073)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/old_lmdz1d.F90	(revision 5075)
@@ -44,5 +44,7 @@
    USE temps_mod, ONLY: annee_ref, calend, day_end, day_ini, day_ref, &
                         itau_dyn, itau_phy, start_time, year_len
-   USE phys_cal_mod, ONLY : year_len_phys_cal_mod => year_len 
+   USE phys_cal_mod, ONLY : year_len_phys_cal_mod => year_len
+   USE mod_1D_cases_read, ONLY: interp_case_time ! used in included old_1D_read_forc_cases.h
+
 
       implicit none
@@ -366,21 +368,21 @@
       if (forcing_type <=0) THEN
        forcing_les = .true.
-      elseif (forcing_type .eq.1) THEN
+      elseif (forcing_type ==1) THEN
        forcing_radconv = .true.
-      elseif (forcing_type .eq.2) THEN
+      elseif (forcing_type ==2) THEN
        forcing_toga    = .true.
-      elseif (forcing_type .eq.3) THEN
+      elseif (forcing_type ==3) THEN
        forcing_GCM2SCM = .true.
-      elseif (forcing_type .eq.4) THEN
+      elseif (forcing_type ==4) THEN
        forcing_twpice = .true.
-      elseif (forcing_type .eq.5) THEN
+      elseif (forcing_type ==5) THEN
        forcing_rico = .true.
-      elseif (forcing_type .eq.6) THEN
+      elseif (forcing_type ==6) THEN
        forcing_amma = .true.
-      elseif (forcing_type .eq.7) THEN
+      elseif (forcing_type ==7) THEN
        forcing_dice = .true.
-      elseif (forcing_type .eq.8) THEN
+      elseif (forcing_type ==8) THEN
        forcing_gabls4 = .true.
-      elseif (forcing_type .eq.101) THEN ! Cindynamo starts 1-10-2011 0h
+      elseif (forcing_type ==101) THEN ! Cindynamo starts 1-10-2011 0h
        forcing_case = .true.
        year_ini_cas=2011
@@ -389,5 +391,5 @@
        heure_ini_cas=0.
        pdt_cas=3*3600.         ! forcing frequency
-      elseif (forcing_type .eq.102) THEN ! Bomex starts 24-6-1969 0h
+      elseif (forcing_type ==102) THEN ! Bomex starts 24-6-1969 0h
        forcing_case = .true.
        year_ini_cas=1969
@@ -396,5 +398,5 @@
        heure_ini_cas=0.
        pdt_cas=1800.         ! forcing frequency
-      elseif (forcing_type .eq.103) THEN ! Arm_cu starts 21-6-1997 11h30
+      elseif (forcing_type ==103) THEN ! Arm_cu starts 21-6-1997 11h30
        forcing_case2 = .true.
        year_ini_cas=1997
@@ -403,5 +405,5 @@
        heure_ini_cas=11.5
        pdt_cas=1800.         ! forcing frequency
-      elseif (forcing_type .eq.104) THEN ! rico starts 16-12-2004 0h
+      elseif (forcing_type ==104) THEN ! rico starts 16-12-2004 0h
        forcing_case2 = .true.
        year_ini_cas=2004
@@ -410,5 +412,5 @@
        heure_ini_cas=0.
        pdt_cas=1800.         ! forcing frequency
-      elseif (forcing_type .eq.105) THEN ! bomex starts 16-12-2004 0h
+      elseif (forcing_type ==105) THEN ! bomex starts 16-12-2004 0h
        forcing_case2 = .true.
        year_ini_cas=1969
@@ -417,5 +419,5 @@
        heure_ini_cas=0.
        pdt_cas=1800.         ! forcing frequency
-      elseif (forcing_type .eq.106) THEN ! ayotte_24SC starts 6-11-1992 0h
+      elseif (forcing_type ==106) THEN ! ayotte_24SC starts 6-11-1992 0h
        forcing_case2 = .true.
        year_ini_cas=1992
@@ -424,5 +426,5 @@
        heure_ini_cas=10.
        pdt_cas=86400.        ! forcing frequency
-      elseif (forcing_type .eq.113) THEN ! Arm_cu starts 21-6-1997 11h30
+      elseif (forcing_type ==113) THEN ! Arm_cu starts 21-6-1997 11h30
        forcing_SCM = .true.
        year_ini_cas=1997
@@ -432,15 +434,15 @@
        mth_ini_cas=1 ! pour le moment on compte depuis le debut de l'annee
        call getin('time_ini',heure_ini_cas)
-      elseif (forcing_type .eq.40) THEN
+      elseif (forcing_type ==40) THEN
        forcing_GCSSold = .true.
-      elseif (forcing_type .eq.50) THEN
+      elseif (forcing_type ==50) THEN
        forcing_fire = .true.
-      elseif (forcing_type .eq.59) THEN
+      elseif (forcing_type ==59) THEN
        forcing_sandu   = .true.
-      elseif (forcing_type .eq.60) THEN
+      elseif (forcing_type ==60) THEN
        forcing_astex   = .true.
-      elseif (forcing_type .eq.61) THEN
+      elseif (forcing_type ==61) THEN
        forcing_armcu = .true.
-       IF(llm.NE.19.AND.llm.NE.40) stop 'Erreur nombre de niveaux !!'
+       IF(llm/=19.AND.llm/=40) stop 'Erreur nombre de niveaux !!'
       else
        write (*,*) 'ERROR : unknown forcing_type ', forcing_type
@@ -461,5 +463,5 @@
      jcode = iflag_nudge
      do i = 1,nudge_max
-       nudge(i) = mod(jcode,10) .ge. 1
+       nudge(i) = mod(jcode,10) >= 1
        jcode = jcode/10
      enddo
@@ -528,10 +530,10 @@
 
 ! Special case for arm_cu which lasts less than one day : 53100s !! (MPL 20111026)
-      IF(forcing_type .EQ. 61) fnday=53100./86400.
-      IF(forcing_type .EQ. 103) fnday=53100./86400.
+      IF(forcing_type == 61) fnday=53100./86400.
+      IF(forcing_type == 103) fnday=53100./86400.
 ! Special case for amma which lasts less than one day : 64800s !! (MPL 20120216)
-      IF(forcing_type .EQ. 6) fnday=64800./86400.
+      IF(forcing_type == 6) fnday=64800./86400.
 !     IF(forcing_type .EQ. 6) fnday=50400./86400.
- IF(forcing_type .EQ. 8 ) fnday=129600./86400. 
+ IF(forcing_type == 8 ) fnday=129600./86400.
       annee_ref = anneeref
       mois = 1
@@ -544,30 +546,30 @@
       day_end = day_ini + int(fnday)
 
-      IF (forcing_type .eq.2) THEN
+      IF (forcing_type ==2) THEN
 ! Convert the initial date of Toga-Coare to Julian day
       call ymds2ju                                                          &
      & (year_ini_toga,mth_ini_toga,day_ini_toga,heure,day_ju_ini_toga)
 
-      ELSEIF (forcing_type .eq.4) THEN
+      ELSEIF (forcing_type ==4) THEN
 ! Convert the initial date of TWPICE to Julian day
       call ymds2ju                                                          &
      & (year_ini_twpi,mth_ini_twpi,day_ini_twpi,heure_ini_twpi              &
      & ,day_ju_ini_twpi)
-      ELSEIF (forcing_type .eq.6) THEN
+      ELSEIF (forcing_type ==6) THEN
 ! Convert the initial date of AMMA to Julian day
       call ymds2ju                                                          &
      & (year_ini_amma,mth_ini_amma,day_ini_amma,heure_ini_amma              &
      & ,day_ju_ini_amma)
-      ELSEIF (forcing_type .eq.7) THEN
+      ELSEIF (forcing_type ==7) THEN
 ! Convert the initial date of DICE to Julian day
       call ymds2ju                                                         &
      & (year_ini_dice,mth_ini_dice,day_ini_dice,heure_ini_dice             & 
      & ,day_ju_ini_dice)
- ELSEIF (forcing_type .eq.8 ) THEN
+ ELSEIF (forcing_type ==8 ) THEN
 ! Convert the initial date of GABLS4 to Julian day
       call ymds2ju                                                         &
      & (year_ini_gabls4,mth_ini_gabls4,day_ini_gabls4,heure_ini_gabls4     & 
      & ,day_ju_ini_gabls4)
-      ELSEIF (forcing_type .gt.100) THEN
+      ELSEIF (forcing_type >100) THEN
 ! Convert the initial date to Julian day
       day_ini_cas=day_deb
@@ -577,5 +579,5 @@
      & ,day_ju_ini_cas)
       print*,'time case 2',day_ini_cas,day_ju_ini_cas
-      ELSEIF (forcing_type .eq.59) THEN
+      ELSEIF (forcing_type ==59) THEN
 ! Convert the initial date of Sandu case to Julian day
       call ymds2ju                                                          &
@@ -583,5 +585,5 @@
      &    time_ini*3600.,day_ju_ini_sandu)
 
-      ELSEIF (forcing_type .eq.60) THEN
+      ELSEIF (forcing_type ==60) THEN
 ! Convert the initial date of Astex case to Julian day
       call ymds2ju                                                          &
@@ -589,5 +591,5 @@
      &    time_ini*3600.,day_ju_ini_astex)
 
-      ELSEIF (forcing_type .eq.61) THEN
+      ELSEIF (forcing_type ==61) THEN
 ! Convert the initial date of Arm_cu case to Julian day
       call ymds2ju                                                          &
@@ -596,5 +598,5 @@
       ENDIF
 
-      IF (forcing_type .gt.100) THEN
+      IF (forcing_type >100) THEN
       daytime = day + heure_ini_cas/24. ! 1st day and initial time of the simulation 
       ELSE
@@ -638,5 +640,5 @@
       call phys_state_var_init(read_climoz)
 
-      if (ngrid.ne.klon) then
+      if (ngrid/=klon) then
          print*,'stop in inifis'
          print*,'Probleme de dimensions :'
@@ -702,10 +704,10 @@
       zlay=-rd*300.*log(play/psurf)/rg ! moved after reading profiles
 
-      IF (forcing_type .eq. 59) THEN
+      IF (forcing_type == 59) THEN
 ! pour forcing_sandu, on cherche l'indice le plus proche de 700hpa#3000m
       write(*,*) '***********************'
       do l = 1, llm
        write(*,*) 'l,play(l),presnivs(l): ',l,play(l),presnivs(l)
-       if (trouve_700 .and. play(l).le.70000) then
+       if (trouve_700 .and. play(l)<=70000) then
          llm700=l
          print *,'llm700,play=',llm700,play(l)/100.
@@ -826,20 +828,20 @@
         print*,'avant phyredem'
         pctsrf(1,:)=0.
-          if (nat_surf.eq.0.) then
+          if (nat_surf==0.) then
           pctsrf(1,is_oce)=1.
           pctsrf(1,is_ter)=0.
           pctsrf(1,is_lic)=0.
           pctsrf(1,is_sic)=0.
-        else if (nat_surf .eq. 1) then 
+        else if (nat_surf == 1) then
           pctsrf(1,is_oce)=0.
           pctsrf(1,is_ter)=1.
           pctsrf(1,is_lic)=0.
           pctsrf(1,is_sic)=0.
-        else if (nat_surf .eq. 2) then 
+        else if (nat_surf == 2) then
           pctsrf(1,is_oce)=0.
           pctsrf(1,is_ter)=0.
           pctsrf(1,is_lic)=1.
           pctsrf(1,is_sic)=0.
-        else if (nat_surf .eq. 3) then 
+        else if (nat_surf == 3) then
           pctsrf(1,is_oce)=0.
           pctsrf(1,is_ter)=0.
@@ -870,5 +872,5 @@
         pbl_tke(:,2,:)=1.e-2
         PRINT *, ' pbl_tke dans lmdz1d '
-        if (prt_level .ge. 5) then 
+        if (prt_level >= 5) then
          DO nsrf = 1,4
            PRINT *,'pbl_tke(1,:,',nsrf,') ',pbl_tke(1,:,nsrf)
@@ -1021,7 +1023,7 @@
       endif
 !Al1 ================  end restart =================================
-      IF (ecrit_slab_oc.eq.1) then
+      IF (ecrit_slab_oc==1) then
          open(97,file='div_slab.dat',STATUS='UNKNOWN')
-       elseif (ecrit_slab_oc.eq.0) then
+       elseif (ecrit_slab_oc==0) then
          open(97,file='div_slab.dat',STATUS='OLD')
        endif
@@ -1046,7 +1048,7 @@
       it_end = nint(fnday*day_step)
 !test JLD     it_end = 10
-      do while(it.le.it_end)
-
-       if (prt_level.ge.1) then
+      do while(it<=it_end)
+
+       if (prt_level>=1) then
          print*,'XXXXXXXXXXXXXXXXXXX ITAP,day,time=',                       &
      &             it,day,time,it_end,day_step
@@ -1054,5 +1056,5 @@
        endif
 !Al1 demande de restartphy.nc
-       if (it.eq.it_end) lastcall=.True.
+       if (it==it_end) lastcall=.True.
 
 !---------------------------------------------------------------------
@@ -1149,5 +1151,5 @@
 
        if (forcing_toga .or. forcing_GCSSold .or. forcing_twpice            &
-     &    .or.forcing_amma .or. forcing_type.eq.101) then
+     &    .or.forcing_amma .or. forcing_type==101) then
          fcoriolis=0.0 ; ug=0. ; vg=0.
        endif
@@ -1164,7 +1166,7 @@
 !on calcule dt_cooling
         do l=1,llm
-        if (play(l).ge.20000.) then
+        if (play(l)>=20000.) then
             dt_cooling(l)=-1.5/86400.
-        elseif ((play(l).ge.10000.).and.((play(l).lt.20000.))) then
+        elseif ((play(l)>=10000.).and.((play(l)<20000.))) then
             dt_cooling(l)=-1.5/86400.*(play(l)-10000.)/(10000.)-1./86400.*(20000.-play(l))/10000.*(temp(l)-200.)
         else
@@ -1273,5 +1275,5 @@
      &               +d_q_nudge(1:mxcalc,:) )
 
-        if (prt_level.ge.3) then
+        if (prt_level>=3) then
           print *,                                                          &
      &    'physiq-> temp(1),dt_phys(1),d_t_adv(1),dt_cooling(1) ',         &
@@ -1351,5 +1353,5 @@
 
 !Al1
-      if (ecrit_slab_oc.ne.-1) close(97)
+      if (ecrit_slab_oc/=-1) close(97)
 
 !Al1 Call to 1D equivalent of dynredem (an,mois,jour,heure ?)
